<div class="container">
  <div *ngFor="let movie of movies; index as i" class="row movie">
    <div class="col-md-2 image">
      <img
        src="{{ movie.poster }}"
        height="170"
        width="150"
        style="border-radius: 10px"
      />
    </div>
    <div class="col-md-8">
      <h4>
        <span style="font-size: large">{{ i + 1 }}. </span
        ><span style="color: rgb(26, 130, 214)"> {{ movie.name }} </span>
        <span style="font-size: medium"> ({{ movie.year }}) </span>
      </h4>
      <h6>{{ movie.plot }}</h6>
      <Strong>Actors : </Strong>
      <span *ngFor="let actor of movie.actors" style="margin-right: 10px">
        {{ actor }}
      </span>
      <br />
      <Strong>Producer : </Strong>
      <span>{{ movie.producer }}</span>
    </div>
    <div class="col-md-2 d-flex flex-column justify-content-center">
      <button
        class="btn btn-warning"
        style="margin-bottom: 5px"
        (click)="editMovie(movie.movieid)"
      >
        Edit
      </button>
      <button class="btn btn-danger" (click)="open(deletemodal, movie)">
        Delete
      </button>
    </div>
  </div>
</div>

<!-- delete movie Modal -->
<ng-template #deletemodal let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Delete Movie</h4>
    <button
      type="button"
      class="close"
      aria-label="Close"
      (click)="modal.dismiss('Cross click')"
    >
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <h6>Are You Sure You Want to delete {{ deleteMovie }} ?</h6>
  </div>
  <div class="modal-footer">
    <button
      type="button"
      class="btn btn-primary"
      (click)="modal.dismiss('Cancel click')"
    >
      Cancel
    </button>
    <button type="button" class="btn btn-danger" (click)="modal.close()">
      Yes
    </button>
  </div>
</ng-template>
